# Class SpeciesFormChangePostMoveTrigger

#### Hierarchy (view full)

- SpeciesFormChangeMoveTrigger
  - SpeciesFormChangePostMoveTrigger

- Defined in src/data/pokemon-forms.ts:298

#####
Index

### Constructors

constructor

### Properties

movePredicate
used

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangePostMoveTrigger(move, used?): SpeciesFormChangePostMoveTrigger

- #### Parameters

  - move: Moves | ((m) => boolean)
  - used: boolean = true

  #### Returns SpeciesFormChangePostMoveTrigger

  Inherited from SpeciesFormChangeMoveTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:284

## Properties

### movePredicate

movePredicate: ((m) => boolean)

#### Type declaration

- - (m): boolean

  - #### Parameters

    - m: Moves

    #### Returns boolean

Inherited from SpeciesFormChangeMoveTrigger.movePredicate

- Defined in src/data/pokemon-forms.ts:281

### used

used: boolean

Inherited from SpeciesFormChangeMoveTrigger.used

- Defined in src/data/pokemon-forms.ts:282

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeMoveTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:299

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: (new (...args) => SpeciesFormChangeTrigger )
    - - new (...args): SpeciesFormChangeTrigger

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns SpeciesFormChangeTrigger

  #### Returns boolean

  Inherited from SpeciesFormChangeMoveTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:173